Last Comment Bug 723372 - B2G telephony: audio should be turned on during dialing + ringing
: B2G telephony: audio should be turned on during dialing + ringing
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: ARM Gonk (Firefox OS)
: -- normal (vote)
: mozilla13
Assigned To: Philipp von Weitershausen [:philikon]
:
Mentors:
Depends on:
Blocks: 717434
  Show dependency treegraph
 
Reported: 2012-02-01 17:55 PST by Philipp von Weitershausen [:philikon]
Modified: 2012-03-05 18:59 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
v1 (1.21 KB, patch)
2012-02-01 18:08 PST, Philipp von Weitershausen [:philikon]
bent.mozilla: review+
Details | Diff | Splinter Review

Description Philipp von Weitershausen [:philikon] 2012-02-01 17:55:42 PST
This is a regression from bug 717434 and it makes us not hear the dial tone.
Comment 1 Philipp von Weitershausen [:philikon] 2012-02-01 18:08:45 PST
Created attachment 593689 [details] [diff] [review]
v1

So, the regression was that an outgoing call was not marked the active call, and so we weren't turning audio on. The fix I'm proposing here also changes the value of navigator.mozTelephony.active in these situations, but IMHO to the right value.
Comment 2 Philipp von Weitershausen [:philikon] 2012-02-02 11:16:48 PST
https://hg.mozilla.org/mozilla-central/rev/101756cec9bf
Comment 3 Philipp von Weitershausen [:philikon] 2012-03-05 18:59:17 PST
Landed ages ago, forgot to mark RESOLVED/FIXED.

Note You need to log in before you can comment on or make changes to this bug.